Package com.xebialabs.xlrelease.risk.domain.riskassessors

# Class TaskWithXFlagsNeedsAttentionRiskAssessor

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor
com.xebialabs.xlrelease.risk.domain.riskassessors.TaskFlagRiskAssessor
com.xebialabs.xlrelease.risk.domain.riskassessors.TaskWithXFlagsNeedsAttentionRiskAssessor

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false, virtual=true) public class TaskWithXFlagsNeedsAttentionRiskAssessor extends TaskFlagRiskAssessor

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TASKS_NEED_ATTENTION_HEADLINE`

  ### Fields inherited from class com.xebialabs.xlrelease.risk.domain.riskassessors.TaskFlagRiskAssessor

  `maxFlags, minFlags`

  ### Fields inherited from class com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor

  `description, group, icon, OK_HEADLINE, OK_SCORE, order, score, title, weight`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskWithXFlagsNeedsAttentionRiskAssessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RiskAssessment`
  `execute(Release release, RiskProfile riskProfile)`
  `protected int`
  `getScore(int numberOfFlaggedTasks, RiskProfile riskProfile)`

  ### Methods inherited from class com.xebialabs.xlrelease.risk.domain.riskassessors.TaskFlagRiskAssessor

  `executeForFlag, getMaxFlags, getMinFlags, setMaxFlags, setMinFlags`

  ### Methods inherited from class com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor

  `getDescription, getGroup, getIcon, getOrder, getScore, getTitle, getWeight, setDescription, setGroup, setIcon, setOrder, setScore, setTitle, setWeight`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TASKS_NEED_ATTENTION_HEADLINE

    public static final String TASKS_NEED_ATTENTION_HEADLINE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TaskWithXFlagsNeedsAttentionRiskAssessor

    public TaskWithXFlagsNeedsAttentionRiskAssessor()

- ## Method Details

  - ### getScore

    protected int getScore(int numberOfFlaggedTasks, RiskProfile riskProfile)
    Specified by:
      `getScore` in class `TaskFlagRiskAssessor`

  - ### execute

    public RiskAssessment execute(Release release, RiskProfile riskProfile)
    Specified by:
      `execute` in class `RiskAssessor`